
\begin{itemize}

\item hardware features for dynamic job termination 
\item ipmi
\item Cray CAPMC
\item add text that talk about the hardware features leveraged by slurm, moab, pbs etc.
\item Power Capping Mechanisms -- An alternative to previous solutions is to leverage specific power
control “knobs” which are exposed by the underlying hardware. One
popular approach (commonly referred to as ‘power capping’), is to
design the software stack to communicate specific power values to the
hardware, either using in-band or out-of-band channels. The hardware
then attempts to adhere to this request, subject to the a number of
constraints imposed by the architecture design, application behavior,
etc. Frameworks and/or hardware features that were reported as being
used by the sites include - Intel’s RAPL (Running Average Power
Limiting), Cray’s CAPMC, and Slurm’s Dynamic Power Management
(SDPM). It was reported that using out-of-band solutions led to
efficient job queue management, but at the cost of high performance
variability. Using in-band solutions (like Intel’s RAPL) was reported
to give more stable and reproducible results.

\item Leveraging hardware-specific performance and idle states
(P-states, C-states, S-states) -- System hardware components are
capable of operating at multiple operating states. Performance states
like P-states map to different discrete operating frequencies that can
be chosen based on an application’s demand. These frequencies map to
different voltage levels, which in turn, impact the power consumed by
the hardware component. Some system components also provide multiple
idle states like C-states and S-states, which lead to power savings in
case of zero activity. Some of the HPC sites have reported using
software-driven techniques that leverage these hardware-tuning knobs
to drive energy efficient execution of their applications. To
facilitate this, system-wide resource managers like Slurm and IBM
Loadleveler (Platform LSF) were used on Intel and IBM machines,
respectively.

\end{itemize}
